<div fxLayout="row" fxLayoutAlign="start stretch" class="mb-16">
	<span [matTooltip]="!checkEditRemove? 'Редактирование недоступно' : null">
		<button mat-flat-button
			color="primary"
			class="mr-8"
			[disabled]="!checkEditRemove"
			(click)="goToEdit()">Редактировать</button>
	</span>


	<span [matTooltip]="!checkEditRemove? 'Удаление недоступно' : null">
		<button
			mat-stroked-button
			[disabled]="!checkEditRemove"
			(click)="removeCampaign()"
			color="warn" > Удалить приемную кампанию </button>
	</span>

</div>


<app-loader *ngIf="isLoad"></app-loader>

<mat-card *ngIf="!isLoad" class="art-card">

	<mat-card-content *ngIf="!hasError || isLoad; else errorBlock">

		<div fxLayout="row" fxLayout.lt-md="column"  fxLayoutGap="16px" fxLayoutGap.lt-md="">
			<mat-form-field appearance="fill" fxFlex="">
				<mat-label>Наименование приемной кампании</mat-label>
				<input matInput [ngModel]="data.name" readonly="true">
			</mat-form-field>
			<mat-form-field appearance="fill" fxFlex="">
				<mat-label>UID</mat-label>
				<input matInput [ngModel]="data.uid" readonly="true">
				<button mat-icon-button matSuffix
					matTooltip="Редактировать UID"
					(click)="editUid()">
					<mat-icon matSuffix svgIcon="pencil"></mat-icon>
				</button>
			</mat-form-field>
		</div>

		<div fxLayout="row" fxLayout.lt-lg="column"  fxLayoutGap="16px" fxLayoutGap.lt-lg="">
			<mat-form-field appearance="fill" fxFlex="">
				<mat-label>Тип приемной кампании</mat-label>
				<input matInput [ngModel]="data.name_campaign_type" readonly="true">
			</mat-form-field>

			<div fxFlex="" fxLayout="row" fxLayout.lt-md="column"  fxLayoutGap="16px" fxLayoutGap.lt-md="">

				<mat-form-field  appearance="fill" fxFlex="">
					<mat-label>Год начала</mat-label>
					<input matInput [ngModel]="data.year_start" readonly="true">
				</mat-form-field>

				<mat-form-field  appearance="fill" fxFlex="">
					<mat-label>Год окончания</mat-label>
					<input matInput [ngModel]="data.year_end" readonly="true">
				</mat-form-field>
			</div>
		</div>

		<div fxLayout="row" fxLayout.lt-md="column"  fxLayoutGap="16px" fxLayoutGap.lt-md="">
			<mat-form-field appearance="fill" fxFlex="">
				<mat-label>Уровни образования</mat-label>
				<input matInput [ngModel]="data.education_levels_names | replaceArrayToString" readonly="true">
				<button mat-icon-button matSuffix
					matTooltip="Добавить уровни образования"
					(click)="addEducationLevel()">
					<mat-icon matSuffix svgIcon="plus"></mat-icon>
				</button>
			</mat-form-field>

			<mat-form-field appearance="fill" fxFlex="">
				<mat-label>Форма обучения</mat-label>
				<input matInput [ngModel]="data.education_forms_names | replaceArrayToString" readonly="true">
				<button mat-icon-button matSuffix
					matTooltip="Добавить форму обучения"
					(click)="addEducationForms()">
					<mat-icon matSuffix svgIcon="plus"></mat-icon>
				</button>
			</mat-form-field>
		</div>


	</mat-card-content>

</mat-card>


<ng-template #errorBlock>
	<span> При загрузке данных произошла ошибка </span>
</ng-template>


